
Figure - Bug #116963
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】打开音乐小窗以后，再打开视频小窗，视频或图片小窗以mini小窗出现，屏幕
上有两个小窗【出现一次】
2023-03-15 16:53 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-03-15

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0082.C101(X101)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause: 由于FreeFormWindowHelper中添加freeform task的时候,出现了异常,导致上一个Task没有删掉

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开音乐小窗

2、长按视频/图片，点击小窗

3、查看屏幕情况

【预期结果】

3、正常显示

【实际结果】

3、音乐小窗仍然在，视频/图片小窗以mini小窗的形式出现。屏幕上共有两个小窗

【备注】

在打开音乐小窗后反复切换mini和正常小窗，再打开的视频/图片小窗

History

#1 - 2023-03-15 17:13 - CD FW 曹覃刚

- Category changed from CD-FW to 窗口定制

- Status changed from New to ASSIGNED

#2 - 2023-03-15 18:59 - CDTS_Test 吴诗雨

- File log3.txt added

- File 20230315-185833.jpeg added

- File 20230315-185900.jpg added

- Category changed from 窗口定制 to CD-FW

出现recent界面有两个小窗的情况，小窗卡片里有一个应用，表面还有另一个应用。

复现步骤：

1、打开图片/音乐/视频小窗，缩成mini

2、进入recent界面查看，返回
3、每次打开不同的应用重复1、2步骤

#3 - 2023-03-15 19:22 - CD TEST-方永红

- Category changed from CD-FW to 窗口定制

#4 - 2023-03-17 18:33 - CD FW-鲁凯峰

- Root cause set to 由于FreeFormWindowHelper中添加freeform task的时候,出现了异常,导致上一个Task没有删掉

■ Current conclusion

问题已经解决

■ My analysis

导致问题的原因是由于FreeFormWindowHelper中添加freeform task的时候,出现了异常,导致上一个Task没有删掉

03-14 04:05:17.562  2625  2625 E AndroidRuntime: Caused by: android.os.RemoteException: Remote stack trace:

03-14 04:05:17.562  2625  2625 E AndroidRuntime:     at

com.android.server.wm.FreeFormWindowHelper.lambda$addRootTaskReferenceIfNeeded$1$FreeFormWindowHelper(FreeFormWindowHelper.java:331)

03-14 04:05:17.562  2625  2625 E AndroidRuntime:     at com.android.server.wm.FreeFormWindowHelper$$ExternalSyntheticLambda0.accept(Unknown Source:4)

03-14 04:05:17.562  2625  2625 E AndroidRuntime:     at com.android.server.wm.ActivityRecord.forAllActivities(ActivityRecord.java:4082)

03-14 04:05:17.562  2625  2625 E AndroidRuntime:     at com.android.server.wm.WindowContainer.forAllActivities(WindowContainer.java:1457)

03-14 04:05:17.562  2625  2625 E AndroidRuntime:     at com.android.server.wm.WindowContainer.forAllActivities(WindowContainer.java:1451)

解决方法,在添加task的时候,加个非空的判断就行

■ Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/frameworks/base/+/188512

#5 - 2023-03-20 11:21 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

188512 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: fix mutil freeform windowsTC-RID: 1201-0204601IssueID: TS-R-DF-116963Change-Id: Ic90dab6740880c528cce8b7853736aa5872f39fb

#6 - 2023-03-20 11:24 - CD FW-鲁凯峰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CDTS_Test 吴诗雨

- Resolution changed from -- to FIXED

#7 - 2023-03-21 11:21 - CDTS_Test 吴诗雨

【验证版本】FlatBuild_HH_MCE_FSE.M.R.user.01.00.0084.C101

【验证情况】

1、打开视频、音乐、图库小窗，缩成mini，返回recent查看。重复以上步骤30遍，未出现异常

2、打开视频小窗切换成mini，再打开音乐小窗切换成mini，再打开图库小窗切换成mini。重复以上步骤30遍，未出现异常
#8 - 2023-03-21 11:33 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#9 - 2023-03-21 11:34 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

logcat.txt 3.75 MB 2023-03-15 CDTS_Test 吴诗雨

20230315-164626.mp4 3.37 MB 2023-03-15 CDTS_Test 吴诗雨

20230315-163850.jpg 109 KB 2023-03-15 CDTS_Test 吴诗雨

log3.txt 4.09 MB 2023-03-15 CDTS_Test 吴诗雨

20230315-185833.jpeg 88.2 KB 2023-03-15 CDTS_Test 吴诗雨

20230315-185900.jpg 222 KB 2023-03-15 CDTS_Test 吴诗雨
